module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    lint: {
      all: ['grunt.js', 'datetimewidget.js']
    }
    , jshint: {
      options: {
        "validthis": true
        , "laxcomma": true
        , "laxbreak": true
        , "browser": true
        , "eqnull": true
        , "debug": true
        , "devel": true
        , "boss": true
        , "expr": true
        , "asi": true
      }
    }
    , watch: {
      // watch files and run tests automatically on change
      test: {
        files: [ 'datetimewidget.js', 'test/spec-widget.js' ]
        , tasks: 'mocha'
      }
    }
    , docco: {
      app: {
        src: ['datetimewidget.js']
      }
    }
    , mocha: {
        jquery: {
          src: [ 'test/index.html' ]
          , run: true
        }
    }
  })

  grunt.loadNpmTasks('grunt-mocha')
  grunt.loadNpmTasks('grunt-docco')

  // Default task.
  grunt.registerTask('default', 'lint');

};
